//
//  FavViewController+Views.swift
//  UpaxMovie
//
//  Created Imo on 01/03/24.
//  Template generated by UPAX Zeus
//

import UIKit

class FavViewControllerViews {
    let mainStack: UIStackView = {
        let view = UIStackView()
        view.axis = .vertical
        view.alignment = .fill
        view.spacing = 10
        view.translatesAutoresizingMaskIntoConstraints = false
        view.layoutMargins = UIEdgeInsets(top: 30, left: 20, bottom: 20, right: 20)
        view.isLayoutMarginsRelativeArrangement = true
        view.backgroundColor = .clear
        return view
    }()
    
    let titleLB: UILabel = {
       let label = UILabel()
        label.translatesAutoresizingMaskIntoConstraints = false
        label.text = ""
        label.textColor = .black
        label.font = UIFont.boldSystemFont(ofSize: 18.0)
        label.numberOfLines = 0
        return label
    }()
    
    let subtitleLB: UILabel = {
       let label = UILabel()
        label.translatesAutoresizingMaskIntoConstraints = false
        label.text = ""
        label.textColor = .black
        label.font = UIFont.boldSystemFont(ofSize: 14.0)
        label.numberOfLines = 0
        return label
    }()
    
    let favButton: UIButton = {
        let button = UIButton()
        button.setTitle("Agregar a Favoritos", for: .normal)
        button.translatesAutoresizingMaskIntoConstraints = false
        button.setTitleColor(.blue, for: .normal)
        button.backgroundColor = .lightGray
        button.layer.cornerRadius = 15
        return button
    }()
    
    let detalleButton: UIButton = {
        let button = UIButton()
        button.setTitle("Ver detalle", for: .normal)
        button.translatesAutoresizingMaskIntoConstraints = false
        button.setTitleColor(.blue, for: .normal)
        button.backgroundColor = .lightGray
        button.layer.cornerRadius = 15
        return button
    }()
}
